Bug 1027457 - rhc snapshot command does not backup app-root/runtime/repo directory
rhc snapshot command does not backup app-root/runtime/repo directory
Status: CLOSED NOTABUG
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 16:46 EST by Corey Daley
Modified: 2015-05-14 22:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-07 10:05:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Daley 2013-11-06 16:46:25 EST
Description of problem:
rhc snapshot command does not back up app-root/runtime/repo directory

if users have been sshing into their application to make file changes in their runtime directory (like php files etc) then the rhc snapshot command will not back up those changes.  Also would be useful for users to download their changes and copy them into their current git repo if they want to start using git push to deploy

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. run rhc snapshot save on an application
2. tar -xvzf the downloaded *.tar.gz
3. there is no app-root/runtime/repo directory

Actual results:


Expected results:


Additional info:
Comment 1 Andy Goldstein 2013-11-07 10:05:40 EST
Any time you deploy to OpenShift, all content in app-root/runtime/repo is wiped out and replaced. Adding app-root/runtime/repo to the snapshot wouldn't result in any usable content for the snapshot restore - we restore from app-deployments. If a user wants to download any changes they made to app-root/runtime/repo to their local git repo, they should be able to use scp.

Note You need to log in before you can comment on or make changes to this bug.